Skip to end of metadata
Go to start of metadata

13.1 introduced new security options and a mode to allow older clients to connect.

Problem

I don't know what compatibility mode is and what enable and disable do for me.

Environment

FileWave 13.1 introduces a new method of certificate based security for communication between components (client, booster, server and IVS). Only 13.1 and greater components are able to generate and properly use certificates to communicate with other components using the new method. Therefore, if your server is running 13.1 but you have components that are older than 13.1 they can not generate the needed certificates to have the highest level of security, and will not be able to communicate together.

Resolution

Compatibility Mode Enabled

The server allows older clients, boosters and IVS to communicate with the server with or without valid certificates

Compatibility Mode Disabled

The server will not allow any client, booster or IVS to communicate with the server unless it has a valid and unique certificate. Boosters and clients are also checking peer certificates and will only communicate if the peer certificate is valid.

Additional Information

When you disable compatibility mode (uncheck the box in preferences) you will receive a warning of clients, boosters, and imaging appliances (AKA IVS), that may potentially be disconnected by you enabling this mode. If you get this warning, it is recommended that you cancel, and resolve the issue before compatibility mode is disabled.


For approving devices see: Enrolling Computer Clients

For approving boosters see: Booster installation